/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.modules;

import java.util.Iterator;
import java.util.LinkedHashMap;

/**
 * Here the seperate modules are registered. This is all pretty much 
 * straightforward
 * 
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version 1.00
 */
public class DCModules {
    
    public static final int _SOFTWARECAT = 0;
    public static final int _SOFTWARE = 1;    
    public static final int _MOVIE = 2;
    public static final int _MUSIC = 3;
    public static final int _AUDIOCD = 4;
    public static final int _AUDIOTRACK = 5;
    public static final int _BOOK = 6;
    public static final int _BOOKCAT = 7;
    
    private static final LinkedHashMap modules = new LinkedHashMap();
    
    public static void register(DCModule module) {
        modules.put(new Integer(module.getIndex()), module); 
    } 
    
    public static DCModule getModule(int index) {
        return (DCModule) modules.get(new Integer(index));
    }

    public static Iterator getModules() {
        return modules.values().iterator();
    }
}
