/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.core.objects.book;

import javax.swing.ImageIcon;

import net.sf.dc.core.Repository;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.core.objects.DCFieldDefinition;
import net.sf.dc.core.objects.DCObject;
import net.sf.dc.settings.DcSettings;

/**
 * TODO: add description
 * 
 * @author Robert Jan van der Waals
 * @version 1.6
 * @since 1.4
 */
public class Book extends DCObject {

    public static final int _A_TITLE = 1;
    public static final int _B_DESCRIPTION = 2;
    public static final int _C_PUBLISHER  = 3;
    public static final int _D_AUTHOR = 4;
    public static final int _E_RELEASEYEAR = 5;
    public static final int _F_WEBPAGE = 6;
    public static final int _G_CATEGORY = 7;
    public static final int _H_ISBN = 8;
    public static final int _I_PICTUREFRONT = 9;    
    public static final int _J_LOCATION = 10;
    public static final int _K_RATING = 11;

    public Book() {
       super();
    }
    
    /**
     * Sets the module index / sets the ownership of this
     * data crow object  
     */  
    protected void setModuleIndex() {
        module = DCModules._BOOK;
    }    

    /**
     * Returns the icon for this object
     */      
    public ImageIcon getIcon() {
        return null;    
    }    
    
    /**
     * Initialize all user settings on this data crow object 
     */       
    protected void initializeSettings() {
        DCFieldDefinition[] fields = getFields();
        
        int[] requiredFields = DcSettings.getValueAsIntegerArray(
                                  Repository.settings.stBookRequiredFields);
                                  
        for (int i = 0; i < requiredFields.length; i++) {
            fields[requiredFields[i]].setRequired(true);
        }
                                  
        int[] hiddenFields = DcSettings.getValueAsIntegerArray(
                                Repository.settings.stHiddenFieldsBook);   

        for (int i = 0; i < hiddenFields.length; i++) {
            fields[hiddenFields[i]].setHidden(true);
        }        
    }
    
    /**
     * Create a UI representation for this object
     */
    public String toString() {
        return getValue(Book._A_TITLE).toString();
    }    
    
}
