package net.sf.dc.core.objects.reporting;

import java.util.Collection;
import java.util.Iterator;
import java.util.LinkedList;

public class ReportFieldDefinitions {
    
    private final Collection definitions;
    
    public ReportFieldDefinitions() {
        definitions = new LinkedList();
    }
    
    public int size() {
        return definitions.size();
    }
    
    public Iterator iterator() {
        return definitions.iterator();
    }
    
    public int getEnabledCount() {
        int counter = 0;
        for (Iterator iter = definitions.iterator(); iter.hasNext(); ) {
            ReportFieldDefinition definition = (ReportFieldDefinition) iter.next();
            if (definition.isEnabled()) counter++;
        }
        return counter;
    }

    public void addDefinition(int index, boolean enabled, String alignment) {
        definitions.add(new ReportFieldDefinition(index, enabled, alignment));
    }    
    
    public void addDefinition(int index, boolean enabled, int alignment) {
        definitions.add(new ReportFieldDefinition(index, enabled, alignment));
    }
}
